English Amiga Board


Go Back   English Amiga Board > News

 
 
Thread Tools
Old 11 July 2019, 17:45   #41
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
Quote:
Originally Posted by Angus View Post
I have had some success. I deleted all the AmiSSL stuff I could find and then installed AmiSSL 3.6. No change there but Snoopdos mentioned it couldn't find AmiSSL.library. I hunted through the installations for this and found it in AmiSSL 1.1. Once that was put in Libs: I stopped getting the NO AmiSSL or MiamiSSL installed requester. I still didn't get to the site, but this was progress. :-)

Then I installed AmiSSL 4 over the existing stuff and finally installed Amigasystem's archive over that. I can now at least get on to the youtube site, but as yet I can't access Gmail. Is that possible, with IBrowse 2.4?
In my archive there are also all the old libraries that are required, I do not believe you can access Gmail with Amiga OS3 you need a browser that supports JavaScript
AMIGASYSTEM is offline  
Old 11 July 2019, 22:51   #42
Angus
Amiga Games Database
Angus's Avatar
 
Join Date: Jun 2006
Location: South West England
Posts: 624
Hi Amigasystem.

Your archive contains files to go in the internet/AmiTCP/whatever directory and in the Prefs directory, or in sub-directories therein. I can't see the file AmiSSL.library in your archive, so I got that from the AmiSSL 1.1 archive, and when I put it in my SYS:Libs directory things started to work.

IBrowse supports Javascript to some extent, doesn't it? At least I assume that what it's doing when it says "executing Lengthy Javascript...." :-)
Angus is offline  
Old 12 July 2019, 02:25   #43
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
Quote:
Originally Posted by Angus View Post
Hi Amigasystem.
I can't see the file AmiSSL.library in your archive, so I got that from the AmiSSL 1.1 archive, and when I put it in my SYS:Libs directory things started to work.
Libraries are where the system searches for them, HERE

Quote:
IBrowse supports Javascript to some extent, doesn't it?
Too obsolete to get into Gmail
AMIGASYSTEM is offline  
Old 12 July 2019, 12:45   #44
Angus
Amiga Games Database
Angus's Avatar
 
Join Date: Jun 2006
Location: South West England
Posts: 624
[QUOTE=AMIGASYSTEM;1332072]Libraries are where the system searches for them, HERE
Okay, but none of them are named AmiSSL.library, unless you're saying I should rename one of them?

As I say, things started to work here only after I put the file AmiSSL.library into Libs, and I accept that it could have been put elsewhere, but it isn't included in your archive.

I'm not trying to give you a hard time, but if I'm right (however unlikely that may be) :-) it would be helpful for anyone in my position to know.
Angus is offline  
Old 12 July 2019, 13:31   #45
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
Quote:
As I say, things started to work here only after I put the file AmiSSL.library into Libs, and I accept that it could have been put elsewhere, but it isn't included in your archive.

AmiSSL.library belongs to the past (AmiSSL v1), with the updated versions you no longer need that library in LIBS, when requested that old library will be searched in the folder "Internet\AmiSSL\Libs" see my comprehensive video attached HERE

Last edited by AMIGASYSTEM; 12 July 2019 at 22:54.
AMIGASYSTEM is offline  
Old 12 July 2019, 23:02   #46
Angus
Amiga Games Database
Angus's Avatar
 
Join Date: Jun 2006
Location: South West England
Posts: 624
Except that the file AmiSSL.library doesn't exist anywhere in your archive.<p><p>



Have you considered that working on a real Amiga might be different to working with your WinUAE setup? I'm using an Amiga 1200. Perhaps that is why we seem to be experiencing different results.
Angus is offline  
Old 12 July 2019, 23:30   #47
Amiga68k
Registered User

Amiga68k's Avatar
 
Join Date: Oct 2017
Location: Amsterdam
Posts: 179
When I install AmiSSL from scratch, I do this sequentially. Start with 1, then 2, 3 and finally 4.

Get 1 - 3 from here.

Version 4 archives can be found on Aminet or on GitHub (Jens Maus).

My AmiSSL archives directory currently:

Code:
5.Ram Disk:> list Utilities:Comm/TCPIP/AmiSSL/.Archives/
Directory "Utilities:Comm/TCPIP/AmiSSL/.Archives" on Friday 12-Jul-19
AmiSSL-1.1-Full.lha      1059889 ----rwed 08-Jun-80 17:10:12
: http://www.heightanxiety.com/AmiSSL/AmiSSL-1.1-Full.lha
AmiSSL-2.2-Full.lha      1315774 ----rwed 08-Jun-80 17:10:06
: http://www.heightanxiety.com/AmiSSL/AmiSSL-2.2-Full.lha
AmiSSL-3.6-68k.lha       1663064 ----rwed 23-Dec-06 13:32:38
AmiSSL-4.1.lha           5801160 ----rwed 05-Nov-80 13:38:34
: https://github-production-release-asset-2e65be.s3.amazonaws.com/43135925/861187
AmiSSL-4.2.lha           5762316 ----rwed 10-Mar-80 15:29:32
: http://aminet.net/util/libs/AmiSSL-4.2.lha
AmiSSL-4.3.lha           6675591 ----rwed 26-Feb-19 10:43:54
: http://aminet.net/util/libs/AmiSSL-4.3.lha
6 files - 43521 blocks used
Remember that you (might) need all. Some utilities make use of v1, some v2, etc. The latest YAM nightly build needs v4 for instance so you can also use SSL/TLS when your provider requires this.

When you install 4.3, I don't think you need 4.1 and 4.2, but not entirely sure about that. The libraries are rather big, if space is not an issue though, just install all of them ;-)
Amiga68k is offline  
Old 12 July 2019, 23:30   #48
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
Quote:
Originally Posted by Angus View Post
Except that the file AmiSSL.library doesn't exist anywhere in your archive.<p><p>
Yes there are, they are just renamed with the version number, the new releases of AmiSSL require the old libraries with that name, look at screenshots


Quote:
Have you considered that working on a real Amiga might be different to working with your WinUAE setup? I'm using an Amiga 1200. Perhaps that is why we seem to be experiencing different results.
For these things there is no difference between Emulated System and Royal System, I have used and have all Amiga Models (A4000, A1200, A600, A500Plus, A500, CD32-SX32)

Last edited by AMIGASYSTEM; 24 July 2019 at 01:34.
AMIGASYSTEM is offline  
Old 12 July 2019, 23:45   #49
Amiga68k
Registered User

Amiga68k's Avatar
 
Join Date: Oct 2017
Location: Amsterdam
Posts: 179
Some usefull background information on the various versions that exist:

Quote:
Note that AmiSSL v3 is not a replacement for AmiSSL v1/v2 nor is AmiSSL v2 a replacement for AmiSSL v1. These three can coexist if you are using programs written for different AmiSSL versions. For example, AWeb 3.5.07 uses AmiSSL v1, IBrowse 2.3 uses AmiSSL v2 and, at the time of this writing, the latest betas of AWeb and IBrowse use AmiSSL v3.

It is strongly suggested to choose the same directory for all three AmiSSL versions when the Installer scripts ask where to install AmiSSL.
* Source: http://www.heightanxiety.com//AmiSSL/

Quote:
The previous versions of libraries in AmiSSL directory should be kept when a
new version of AmiSSL is released since they may still be used. For example,
IBrowse v2.3 uses AmiSSLv2 libraries through amisslmaster.library. These
libraries are named "AmiSSL:Libs/AmiSSL/amissl_v2.library",
"AmiSSL:Libs/AmiSSL/blowfish_v2.library", etc. and are based on OpenSSL
0.9.6g. The first release of AmiSSLv3 is based on OpenSSL 0.9.7g, latest
available at the time. It includes "AmiSSL:Libs/AmiSSL/amissl_v097g.library"
(all other libraries like blowfish, cast etc are now included in it and the
name reflects the OpenSSL version number). Since OpenSSL 0.9.6g and 0.9.7g
have incompatible API's and public structures, when IBrowse v2.3 tries to open
AmiSSL through amisslmaster.library v3, amisslmaster.library will honor its
request and open AmiSSLv2 libraries even though AmiSSLv3 library is available.
The same applies to AmiSSLv4, the successor of AmiSSLv3.

Another example: suppose that a program is compiled for OpenSSL 0.9.7g API.
When it asks amisslmaster.library to open AmiSSL with that API,
amisslmaster.library will open "AmiSSL:Libs/AmiSSL/amissl_097g.library". If a
bugfix version of OpenSSL 0.9.7g called 0.9.7h with compatible API is
released, AmiSSL could be updated to include
"AmiSSL:Libs/AmiSSL/amissl_097h.library". The amisslmaster.library would then
open "amissl_097h.library" on behalf of the program even though it was
compiled for and asked for version 0.9.7g. The program would thus benefit from
the fixed version without having to be recompiled.
* Source: AmiSSL.doc (part of 4.3 release)
Amiga68k is offline  
Old 12 July 2019, 23:54   #50
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
Quote:
Originally Posted by Amiga68k View Post
Some usefull background information on the various versions that exist:
And that's what I did in my archive, as shown in the screenshot, if with AmiSSL 4.3 you need to access the site "Youtube" you need the "amissl_v097g.library (AmiSSL 3.6)"
AMIGASYSTEM is offline  
Old 13 July 2019, 00:02   #51
Amiga68k
Registered User

Amiga68k's Avatar
 
Join Date: Oct 2017
Location: Amsterdam
Posts: 179
Quote:
Originally Posted by AMIGASYSTEM View Post
And that's what I did in my archive, as shown in the screenshot, if with AmiSSL 4.3 you need to access the site "Youtube" you need the "amissl_v097g.library (AmiSSL 3.6)"
Sure, I'm not telling you what you did or didn't do. I just think it is good practice for people to use 'original' archives instead of relying on someone to build a 'personal' archive that is put in a place that might not exist in the distant future.

You probably did that with best intentions though, so no worries there.
Amiga68k is offline  
Old 13 July 2019, 00:07   #52
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
Amiga68k, look that I have not created anything, the names and the path are the original ones, I have only united in group all the versions where the original setup has installed them
AMIGASYSTEM is offline  
Old 13 July 2019, 00:10   #53
Amiga68k
Registered User

Amiga68k's Avatar
 
Join Date: Oct 2017
Location: Amsterdam
Posts: 179
Sure, but a proper AmiSSL installation has a amissl.library

Code:
5.Ram Disk:> version AmiSSL:Libs/amissl.library full
amissl.library 1.1 (27-05-2001)
part of AmiSSL package, international MC68020/030/040/060 version
Amiga68k is offline  
Old 13 July 2019, 00:24   #54
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
I have AmiSSL 1.1 in Libs, but as shown in the video, at the moment I have not found any site that makes request for that library.

https://drive.google.com/open?id=1k9...xMT_XB2gqTx7fi
AMIGASYSTEM is offline  
Old 13 July 2019, 12:50   #55
Angus
Amiga Games Database
Angus's Avatar
 
Join Date: Jun 2006
Location: South West England
Posts: 624
Amigasystem, I think what you've done is great, and very public-spirited.

I think you've forgotten more about AmiSSL than I will ever know, but what part of "AmiSSL.library doesn't exist in your archive" is causing us confusion? :-)

My experience is this:

Nothing worked - when I added AmiSSL.library things started working.
Angus is offline  
Old 13 July 2019, 13:54   #56
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
I don't know what you did, all the others solved with my Archive, I in my system as shown in the video I don't have "AmiSSL.library" in Libs, which then as said is an obsolete version "AmiSSL.library 1.1" that seems to no longer serve with the new AmiSSL 4.3
AMIGASYSTEM is offline  
Old 15 July 2019, 08:48   #57
Jope
-
Jope's Avatar
 
Join Date: Jul 2003
Location: Helsinki / Finland
Age: 39
Posts: 7,400
Amigasystem, the AmiSSL 1 2 3 and 4 packages are cumulative. They should be installed in order on top of each other. You shouldn't leave any of them out.

Nothing is 100% obsolete. The older versions provide older things, the newer versions add things on top, but the older versions are still needed for the old stuff.
Jope is offline  
Old 15 July 2019, 10:19   #58
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
I have not left anything outside, in my archive there are all the versions of AmiSSL 1 2 3 and 4, I just said that AmiSSL.library (v1.1) in LIBS with the use of AmiSSL 4 is not required, maybe it will happen with some site, but at the moment it has not happened.

Since you don't need it, I removed my archive file!
AMIGASYSTEM is offline  
Old 15 July 2019, 10:40   #59
Amiga68k
Registered User

Amiga68k's Avatar
 
Join Date: Oct 2017
Location: Amsterdam
Posts: 179
Quote:
Originally Posted by AMIGASYSTEM View Post
I have not left anything outside, in my archive there are all the versions of AmiSSL 1 2 3 and 4, I just said that AmiSSL.library (v1.1) in LIBS with the use of AmiSSL 4 is not required, maybe it will happen with some site, but at the moment it has not happened.

Since you don't need it, I removed my archive file!
Hi Amigasystem,

You keep saying no "site" is using it, but that is not the correct approach. It's not only related to web browsers and you also need to consider other utilities. For instance YAM version 2.4 is designed to use the v1 variant. And allthough v1 is obsolete, I'm sure there are other utilities that may rely on specifically this version as 'optional' requirement.
Amiga68k is offline  
Old 15 July 2019, 10:54   #60
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 5,190
This discussion was one of my NEWS on AmiSSL v4.3, where we talked about accessing HTTPS sites with a browser. My archive was to help people who couldn't access HTTPS sites.
The user "Angus" said that without the AmiSSL.library in LIBS he could not access the HTTPS sites and I replied that to use AmiSSL v4.3, equally access the HTTPS sites the AmiSSL.library in LIBS was not necessary.

Other applications such as YAM I have not talked about and nothing centers with this News.
AMIGASYSTEM is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
AmiSSL 4 Robbie support.Apps 53 08 December 2018 01:25
AmiSSL 4.0 Sir_Lucas News 6 09 February 2017 13:45
new AmiSSL hal9000 support.Apps 1 14 August 2016 19:23
16.6 Released alexh project.WHDLoad 6 09 June 2006 11:02
AmiSSL v2 and AWEB with OS3.9?? BarrySWE support.Apps 7 12 November 2005 03:04

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 20:35.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Page generated in 0.11006 seconds with 16 queries